xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) glasser@mit.edu
License | BSD
Maintainer | glasser@mit.edu
Stability | stable
Portability | unportable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.Accordion

Contents

- Usage

Description

LayoutClass that puts non-focused windows in ribbons at the top and bottom of the screen.

Synopsis

- data Accordion a = Accordion

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Accordion

Then edit your `layoutHook` by adding the Accordion layout:

    myLayout = Accordion ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Accordion a #

Constructors

Accordion |

#### Instances

Instances details

LayoutClass Accordion Window # |

Instance details

Defined in XMonad.Layout.Accordion

Methods

runLayout :: Workspace WorkspaceId (Accordion Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Accordion Window)) #

doLayout :: Accordion Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Accordion Window)) #

pureLayout :: Accordion Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] #

emptyLayout :: Accordion Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Accordion Window)) #

handleMessage :: Accordion Window -> SomeMessage -> X (Maybe (Accordion Window)) #

pureMessage :: Accordion Window -> SomeMessage -> Maybe (Accordion Window) #

description :: Accordion Window -> String #

Read (Accordion a) # |
Instance details Defined in XMonad.Layout.Accordion Methods readsPrec :: Int -> ReadS (Accordion a) # readList :: ReadS [Accordion a] # readPrec :: ReadPrec (Accordion a) readListPrec :: ReadPrec [Accordion a]
Show (Accordion a) # |
Instance details Defined in XMonad.Layout.Accordion Methods showsPrec :: Int -> Accordion a -> ShowS # show :: Accordion a -> String # showList :: [Accordion a] -> ShowS #